#
# spec file for package xf86-video-v4l
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xf86-video-v4l
Version:        0.2.0
Release:        bp153.1.16
Summary:        Video4linux video driver for the Xorg X server
License:        MIT
Group:          System/X11/Servers/XF86_4
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/driver/%{name}-%{version}.tar.bz2
Patch0:         n_added-definition-of-VIDEO_INVERT_CLIPLIST.patch
Patch1:         n_added-defines-for-xalloc-xrealloc.patch
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(randrproto)
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(xorg-server) >= 1.0.99.901
BuildRequires:  pkgconfig(xproto)
# This was part of the xorg-x11-driver-video package up to version 7.6
Conflicts:      xorg-x11-driver-video <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x
%x11_abi_videodrv_req

%description
v4l is an Xorg driver for video4linux video cards.

It provides a Xvideo extension port for video overlay. Just add the
driver to the module list within the module section of your
configuration file if you want to use it. There are no config options.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%dir %{_libdir}/xorg/modules/drivers
%{_libdir}/xorg/modules/drivers/v4l_drv.so
%{_datadir}/man/man4/v4l.4%{?ext_man}

%changelog
* Mon Apr 11 2016 sndirsch@suse.com
- n_added-defines-for-xalloc-xrealloc.patch
  * added defines for xalloc/xrealloc. xalloc/xrealloc functions
    have been removed in xorg-server sources after release 1.16.4
  ((fate #320388)
* Mon Apr 11 2016 sndirsch@suse.com
- n_added-definition-of-VIDEO_INVERT_CLIPLIST.patch
  * added definition of VIDEO_INVERT_CLIPLIST. This definition
    has been removed from xorg-server sources after release
    1.16.4. Still needed by v4l driver obviously.
  ((fate #320388)
* Wed Aug  7 2013 ro@suse.de
- add ExcludeArch for s390 and s390x
* Thu Mar 21 2013 sndirsch@suse.com
- No longer install this driver by default
* Fri Apr 20 2012 vuntz@opensuse.org
- Use %%x11_abi_videodrv_req instead of static ABI Requires.
* Wed Apr 18 2012 vuntz@opensuse.org
- Split xf86-video-v4l from xorg-x11-driver-video.
  Initial version: 0.2.0.
